using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;

namespace NewStefanoClipping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void OnFormLoad(object sender, EventArgs e)
        {
            PdfDocument doc = new PdfDocument();
            doc.FileStructure.CrossReferenceType = PdfCrossReferenceType.CrossReferenceTable;
            doc.FileStructure.Version = PdfVersion.Version1_4;

            PdfPage page = doc.Pages.Add();
            //page.DefaultLayer.Graphics.RotateTransform(90);
            //page.DefaultLayer.Graphics.TranslateTransform(0, -page.Graphics.ClientSize.Width);

            //Set the formats for the text
            PdfStringFormat format = new PdfStringFormat();
            format.Alignment = PdfTextAlignment.Left;
            format.LineAlignment = PdfVerticalAlignment.Top;
            format.WordWrap = PdfWordWrapType.Character;
            format.LineAlignment = PdfVerticalAlignment.Top;

            PdfLayoutFormat layoutFormat = new PdfLayoutFormat();
            layoutFormat.Layout = PdfLayoutType.OnePage;

            PdfTextElement text = new PdfTextElement();
            text.StringFormat = format;
            text.Font = new PdfStandardFont(PdfFontFamily.Helvetica, 12);
            text.Text = "I want these text in a single line! Is it possible?";
            Rectangle rectText = new Rectangle(50, 30, 120, 20);
            text.Draw(page, rectText.Location);


            
            PdfTextElement element = new PdfTextElement();
            element.StringFormat = format;
            element.Font = new PdfStandardFont(PdfFontFamily.Helvetica, 12);
            element.Text = "Stefano Clipping sample";

            Rectangle rect = new Rectangle(50, 50, 120, 35);
            PdfRectangle pdfRect = new PdfRectangle(rect);


            pdfRect.Draw(page,0,0);
            element.Draw(page, rect, layoutFormat);



            // Sample 2

            format.LineLimit = false;
            text.Text = "This Text trying to set LineLimit property in StringFormat...don't work";
            Rectangle rect3 = new Rectangle(50, 100, 120, 70);
            text.Draw(page, rect3.Location);
            
            element.StringFormat.LineAlignment = PdfVerticalAlignment.Middle;
            Rectangle rect2 = new Rectangle(50, 120, 120, 70);

            pdfRect.Bounds = rect2;
            pdfRect.Draw(page, 0, 0);

            element.Draw(page, rect2, layoutFormat);




            doc.Save("Sample.pdf");
            System.Diagnostics.Process.Start("Sample.pdf");
        }
    }
}